curl -X DELETE https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..."
{
"data": {
"deleted": true,
"slug": "k9m2xp4q"
}
}
{
"error": "Node not found"
}
Nodes
Delete Node
Permanently delete a node and its analytics data.
DELETE
/
api
/
v1
/
nodes
/
{slug}
curl -X DELETE https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..."
{
"data": {
"deleted": true,
"slug": "k9m2xp4q"
}
}
{
"error": "Node not found"
}
Path Parameters
string
required
The node’s unique slug.
This action is permanent. The node, its routing rules, and all associated analytics data will be deleted. The slug will not be reusable.
curl -X DELETE https://nearnode.io/api/v1/nodes/k9m2xp4q \
-H "Authorization: Bearer sk_live_..."
{
"data": {
"deleted": true,
"slug": "k9m2xp4q"
}
}
{
"error": "Node not found"
}